I have a iMac with the configuration 24"2 make and model, processor 16 ghz intel Core 2 Duo Processor, 4GB of memory and currently running with the OS X 01.6.8. I have purchased a OS X Lion installation DVD from the Apple Store and when installing the same am getting the compatibility error, though my iMac meets all the requirements to install OS X Lion.